Bug 57802 - Core dump when rebuilding database
Summary: Core dump when rebuilding database
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-23 21:06 UTC by Hassan Aurag
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-23 21:06:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hassan Aurag 2001-12-23 21:06:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
After a bad shutdown, fsck changed filesystem. So maybe the database was a
bit modified or so.

Now at each rebuilddb or even rpm -qa, I get a core dump at end of
operation (it seems)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuilddb on with my /var/lib/rpm
2.
3.
	

Additional info:

 I can send you the tarfile for the /var/lib/rpm directory if you wish.

Comment 1 Jeff Johnson 2001-12-27 17:04:04 UTC
Try a --rebuilddb with rpm-4.0.3 from
	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x
There's a tarball of binaries there as well.

Reopen this bug if that does not fix your problem.


Note You need to log in before you can comment on or make changes to this bug.